## GimpZoomModel GimpZoomModel |

## Functions

GimpZoomModel * | gimp_zoom_model_new ()
void | gimp_zoom_model_set_range ()
void | gimp_zoom_model_zoom ()
gdouble | gimp_zoom_model_get_factor ()
void | gimp_zoom_model_get_fraction ()
GtkWidget * | gimp_zoom_button_new ()
gdouble | gimp_zoom_model_zoom_step ()

## Properties

gchar * | fraction | Read
gdouble | maximum | Read / Write
gdouble | minimum | Read / Write
gchar * | percentage | Read
gdouble | value | Read / Write

## Signals

void | zoomed | Run Last

## Types and Values

| GimpZoomModel
enum | GimpZoomType

## Object Hierarchy

        GObject
        ╰── GimpZoomModel

## Description

## Functions

### gimp_zoom_model_new ()

    GimpZoomModel *
    gimp_zoom_model_new (void);

### gimp_zoom_model_set_range ()

    void
    gimp_zoom_model_set_range (GimpZoomModel *model,
                               gdouble min,
                               gdouble max);

### gimp_zoom_model_zoom ()

    void
    gimp_zoom_model_zoom (GimpZoomModel *model,
                          GimpZoomType zoom_type,
                          gdouble scale);

### gimp_zoom_model_get_factor ()

    gdouble
    gimp_zoom_model_get_factor (GimpZoomModel *model);

### gimp_zoom_model_get_fraction ()

    void
    gimp_zoom_model_get_fraction (GimpZoomModel *model,
                                  gint *numerator,
                                  gint *denominator);

### gimp_zoom_button_new ()

    GtkWidget *
    gimp_zoom_button_new (GimpZoomModel *model,
                          GimpZoomType zoom_type,
                          GtkIconSize icon_size);

### gimp_zoom_model_zoom_step ()

    gdouble
    gimp_zoom_model_zoom_step (GimpZoomType zoom_type,
                               gdouble scale);

## Types and Values

### GimpZoomModel

    typedef struct _GimpZoomModel GimpZoomModel;

### enum GimpZoomType

#### Members

GIMP_ZOOM_IN |  |
GIMP_ZOOM_OUT |  |
GIMP_ZOOM_IN_MORE |  |
GIMP_ZOOM_OUT_MORE |  |
GIMP_ZOOM_IN_MAX |  |
GIMP_ZOOM_OUT_MAX |  |
GIMP_ZOOM_TO |  |

## Property Details

### The `“fraction”` property

      “fraction”                 gchar *

Flags: Read

Default value: "1:1"

### The `“maximum”` property

      “maximum”                  gdouble

Flags: Read / Write

Allowed values: [0.00390625,256]

Default value: 256

### The `“minimum”` property

      “minimum”                  gdouble

Flags: Read / Write

Allowed values: [0.00390625,256]

Default value: 0.00390625

### The `“percentage”` property

      “percentage”               gchar *

Flags: Read

Default value: "100%"

### The `“value”` property

      “value”                    gdouble

Flags: Read / Write

Allowed values: [0.00390625,256]

Default value: 1

## Signal Details

### The `“zoomed”` signal

    void
    user_function (GimpZoomModel *model,
                   gdouble        old_factor,
                   gdouble        new_factor,
                   gpointer       user_data)

Flags: Run Last